// +36205248553

#define mikro 

#ifdef mikro
 #define HANDLE int
 #include "global.h"
 #define dprintf debugprintf
#else
 #define dprintf printf
 #include <iostream>
 #include <time.h> // a sleephez kell
 #include <windows.h>
#endif

#include <stdlib.h>
#include <stdio.h>
#include <string.h>


#define BUFFER_SIZE 1024
#define NUM_ATTEMPT 10
#define STATION_ID 1

void initModul(HANDLE);
int getPhoneStatus(HANDLE);
BOOL writeCommand(char* , HANDLE);
char * readResponse(HANDLE);
char * _readResponse(HANDLE);
HANDLE initComPort(char *);
void sleep(unsigned int);   //várakozás
int connect(int attemptNum, HANDLE); //csatlakozás a szerverhez hány próbálkozással ?
BOOL process_response(HANDLE);
char *make_message(int,int,int);
int send_data(char *,HANDLE);//msg kuldese 
int send(HANDLE); 
int connected(HANDLE);


int teszt(void);
